# Searches for orders using predefined parameters Searches for orders using predefined parameters Endpoint: POST /orders/{tenantId}/search Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Query parameters: - `exclusiveStartKey` (string) The start key for the search, for paging support - `fieldsToReturn` (string) The fields that you want to retrieve; if omitted, the entire object is returned ## Request fields (application/json): - `amount_paid` (array) - `balance_due` (array) - `bill_to_contact_id` (string) - `bill_to_organization_id` (string) - `bill_to_type` (string) Enum: "contact", "organization" - `date` (array) - `discounts` (array) - `id` (array) - `number` (array) - `purchase_order_number` (array) - `ship_to_contact_id` (string) - `ship_to_organization_id` (string) - `ship_to_type` (string) Enum: "contact", "organization" - `shipping_method_name` (array) - `status` (array) - `total` (array) - `total_weight` (array) - `type` (array) ## Response 200 fields (application/json): - `Items` (array) - `Items.amount_paid` (number) - `Items.balance_due` (number) - `Items.bill_to_contact_id` (string) - `Items.bill_to_organization_id` (string) - `Items.bill_to_type` (string) Enum: "contact", "organization" - `Items.date` (string) - `Items.discounts` (number) - `Items.id` (string) - `Items.ids` (string) ID - `Items.number` (number) - `Items.purchase_order_number` (string) - `Items.ship_to_contact_id` (string) - `Items.ship_to_organization_id` (string) - `Items.ship_to_type` (string) Enum: "contact", "organization" - `Items.shipping_method_name` (string) - `Items.status` (string) - `Items.total` (number) - `Items.total_weight` (number) - `Items.type` (string) - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields